Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface JMSVirtualDestinationMBean

All Known Subinterfaces:
  JMSDistributedDestinationMBean, JMSDistributedQueueMBean, JMSDistributedTopicMBean

public interface JMSVirtualDestinationMBean
extends DeploymentMBean, JMSConstants

This class represents a virtual destination. In 7.0 JMS has distributed destination, which is a form of the virtual destination.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, DISCARD, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, FIFO, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PREEMPTIVE, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, SEND_QUOTA_BLOCKING_TIMEOUT, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getJNDIName()` The JNDI name used to look up a virtual destination within the JNDI namespace.
`void` | `setJNDIName(java.lang.String name)` The JNDI name used to look up the virtual destination within the JNDI namespace.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getJNDIName

    public java.lang.String getJNDIName()

  The JNDI name used to look up a virtual destination within the JNDI namespace. Applications can use the JNDI name to look up the virtual destination. If not specified, then the destination is not bound into the JNDI namespace.

  Returns:
    The jNDIName value

### setJNDIName

    public void setJNDIName(java.lang.String name)
                     throws javax.management.InvalidAttributeValueException

  The JNDI name used to look up the virtual destination within the JNDI namespace. Applications can use the JNDI name to look up the virtual destination. If not specified, then the destination is not bound into the JNDI namespace.

  Parameters:
    `name` - The new jNDIName value
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD